import { useCountryInfoStore } from '/@/stores/countryInfo';

const countryInfoStore = useCountryInfoStore();

export const productColumns: any = [
  { type: 'checkbox', width: 50, align: 'center', fixed: 'left' },
  { type: 'seq', width: 60, align: 'center' },
  {
    field: 'is_monitor', title: '监控管理', width: 90, align: 'center',
    slots: {
      default({ row }: any) {
        return <el-switch v-model={ row.is_monitor }></el-switch>;
      }
    }
  },
  {
    field: 'country', title: '国 家', minWidth: 'auto', align: 'center',
    slots: {
      default({ row }: any) {
        const country = countryInfoStore.countries.find(c => c.name === row.country);
        const color = country ? country.color : '#3875F6';
        return <el-tag effect="plain" round
                       style={ { color: color, borderColor: color } }>{ row.country ? row.country : '--' }</el-tag>;
      }
    }
  },
  { 
    field: 'operate', title: '操 作', width: 100, align: 'center', fixed: 'right',
    slots: { default: 'operate' }},
];
